<?php

namespace Database\Seeders;

use Exception;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\File;

class ProvinceTableSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        $datas = json_decode(File::get('database/data/provinces.json'));

        $table = 'provinces';
        foreach ($datas as $data) {
            try {
                DB::table($table)->insert([
                    'id' => $data->id,
                    'region' => $data->region,
                    'name' => $data->name,
                    'created_at' => $data->created_at,
                    'updated_at' => $data->updated_at,
                ]);
            } catch (Exception $e) {
                info(['province db erorr: ' => $e->getMessage()]);
            }
        }

        DB::statement("
            SELECT setval('{$table}_id_seq', (SELECT MAX(id) from {$table}))
        ");
    }
}
